Get all conversations. Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/conversation

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [participants, participants_count, latest_message, messages_count, files_count, case, tags].

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[archived] string

    Return with or only archived conversations for current user. Valid options are [with, only, false]. Default is set to false.

  • filter[circle_uuids] string

    Filter by a comma separated list of circle UUIDs.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, latest_message, pinned_conversations]. Negative sign to denote DESC. Defaults to 'latest_message'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • name string

        Conversation title

      • slug string

        Conversation title as a slug

      • belongs_to_case boolean

        Whether or not the conversation belongs to a case.

      • case object

        Case the conversation belongs to (if included)

        Hide case attributes Show case attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • slug string
        • status string
        • type string
        • review_at string
        • assigned_to_uuids array[string]
        • group_uuids array[string]
        • completed_at string
        • value object
          Hide value attributes Show value attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • status_position integer
        • participants_count integer
        • participants string
        • task_board_uuid string
        • plans string
        • custom_fields string
      • participants_count integer

        Number of participants in conversation (if included)

      • participants array[object]

        Participants in this conversation (if included)

        Hide participants attributes Show participants attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
      • latest_message object

        The latest message of the conversation (if included)

        Hide latest_message attributes Show latest_message attributes object
        • uuid string
        • created_at string
        • updated_at string
        • deleted_at string
        • contents string
        • edited boolean
        • files string
        • author string
        • user string
        • reactions string
      • messages_count integer

        Number of messages in the conversation (if included)

      • files_count integer

        Number of files in the conversation (if included)

      • tags array[object]

        Conversation tags (if included)

        Hide tags attributes Show tags attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • slug string
        • colour string
      • pinned boolean

        Whether the conversation has been pinned to the top (if participants included)

      • is_admin boolean

        If the authenticated account is an admin of the conversation (if participants included)

GET /api/v1/conversation
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/conversation' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "cae07c95-8ac2-47ea-a614-4683b659e430",
      "created_at": "2026-06-08T16:08:02+01:00",
      "updated_at": "2026-06-08T16:08:02+01:00",
      "name": "Welcome to Plannr",
      "slug": "welcome-to-plannr",
      "belongs_to_case": true,
      "case": {
        "uuid": "19ffa8aa-c727-4107-84dd-99c5a26303a9",
        "created_at": "2026-06-08T16:08:02+01:00",
        "updated_at": "2026-06-08T16:08:02+01:00",
        "name": "finance",
        "slug": "finance",
        "status": "App\\Http\\Resources\\CasesStatusResource",
        "type": "App\\Http\\Resources\\CasesTypeResource",
        "review_at": "2026-06-08T16:08:02+01:00",
        "assigned_to_uuids": [
          "af72414d-aa08-4063-8ab7-60cc2a413691"
        ],
        "group_uuids": [
          "8a0634cb-92b0-4513-b0f6-893551f635a9"
        ],
        "completed_at": "2026-06-08T16:08:02+01:00",
        "value": {
          "amount": {
            "example": "4000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "formatted": {
            "example": "£40.00",
            "description": "Money amount formatted with currency"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          }
        },
        "status_position": 4,
        "participants_count": 4,
        "participants": "App\\Http\\Resources\\AccountResource",
        "task_board_uuid": "7a68f4ff-04a8-436f-b64a-e3de0e1a5760",
        "plans": "App\\Http\\Resources\\Plans\\PlanResource",
        "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource"
      },
      "participants_count": 3,
      "participants": [
        {
          "uuid": "a3133194-0011-4478-9e74-d78a0abdcf6d",
          "created_at": "2026-06-08T16:08:02+01:00",
          "updated_at": "2026-06-08T16:08:02+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "firm": "App\\Http\\Resources\\FirmResource",
          "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
          "primary_email": "App\\Http\\Resources\\ContactDetailResource",
          "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
          "assigned_adviser": "App\\Http\\Resources\\AccountResource",
          "assigned_administrator": "App\\Http\\Resources\\AccountResource",
          "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
          "introduced_by": "App\\Http\\Resources\\AccountResource",
          "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
          "groups": "App\\Http\\Resources\\GroupResource",
          "tags": "App\\Http\\Resources\\TagResource",
          "owners": "App\\Http\\Resources\\AccountResource",
          "first_contact_date": "2026-06-08T16:08:02+01:00",
          "next_review_date": "2026-06-08T16:08:02+01:00",
          "previous_review_date": "2026-06-08T16:08:02+01:00",
          "anniversary_review_date": "2026-06-08T16:08:02+01:00",
          "terms_of_business_at": "2026-06-08T16:08:02+01:00",
          "client_agreement_at": "2026-06-08T16:08:02+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "joint_account_circle": "App\\Http\\Resources\\CircleResource",
          "circles": "App\\Http\\Resources\\CircleResource",
          "ownership_percentage": 100,
          "inactive_at": "2026-06-08",
          "last_interaction_at": "2026-06-08 16:08:02",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          },
          "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
          "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
        }
      ],
      "latest_message": {
        "uuid": "4b91e9f6-0d2d-41ed-ba50-5ed17182f379",
        "created_at": "2026-06-08T16:08:02+01:00",
        "updated_at": "2026-06-08T16:08:02+01:00",
        "deleted_at": "2026-06-08T16:08:02+01:00",
        "contents": "Welcome to Plannr!",
        "edited": true,
        "files": "App\\Http\\Resources\\FileResource",
        "author": "App\\Http\\Resources\\AccountResource",
        "user": "App\\Http\\Resources\\UserResource",
        "reactions": "App\\Http\\Resources\\ReactionResource"
      },
      "messages_count": 30,
      "files_count": 2,
      "tags": [
        {
          "uuid": "a3daf5a6-ebc0-4d62-90ce-6011b86cf25c",
          "created_at": "2026-06-08T16:08:02+01:00",
          "updated_at": "2026-06-08T16:08:02+01:00",
          "name": "Mortgage",
          "slug": "mortgage",
          "colour": "#ef4582"
        }
      ],
      "pinned": true,
      "is_admin": false
    }
  ]
}